#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Mon Sep 27 20:06:22 2021

@author: geopeter
"""

import SQLPandasTools as s2pTool
import GetAverageData as cut
import unittest
import pickle

class Testapi(unittest.TestCase):
    def testcalcAverageYear(self):
        with open("./pickle/fetchall.pickle", "rb") as pickleFile:
            sqlResult = pickle.load(pickleFile)
            
            stationList = s2pTool.sqlToGeoPandas(sqlResult)
            
            stationList = cut.calcAverageYear(stationList, 1961, 1990)
            
            for id, item in stationList.iterrows():
                self.assertTrue(type(item["anomalie"]) == float)
            
            
if __name__ == '__main__':
    unittest.main()